Skip to content
Navigation

Get execution record

GET
https://api.sureshake.com/v2/execution/cycles/{cycleId}/record

Path parameters

  • cycleId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • cycleId
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • seasonStatus
      planning
      or
      locked
      or
      active
      or
      resolution_open
      or
      closed
      or
      paused
      +4 more
      required
    • visibility
      public
      or
      follower
      or
      capital
      or
      diligence
      or
      custom
      required
    • originalTarget
      string
      required
      maxLength: 4000 · minLength: 1
    • currentTarget
      string
      required
      maxLength: 4000 · minLength: 1
    • aggregates
      object
      required
      • commitmentsPlanned
        integer
        required
        minimum: 0
      • filedWeeklyReviews
        integer
        required
        minimum: 0
      • outcomes
        object
        required
        • completed
          integer
          required
          minimum: 0
        • partial
          integer
          required
          minimum: 0
        • missed
          integer
          required
          minimum: 0
        • reset
          integer
          required
          minimum: 0
      • evidence
        object
        required
        • materialOutcomes
          integer
          required
          minimum: 0
        • supportedOutcomes
          integer
          required
          minimum: 0
        • unsupportedOutcomes
          integer
          required
          minimum: 0
        • artifactBackedRecords
          integer
          required
          minimum: 0
        • sourceVerifiedRecords
          integer
          required
          minimum: 0
        • thirdPartyAttestedRecords
          integer
          required
          minimum: 0
    • chronology
      array of
      object
      required
      • kind
        season_lifecycle
        or
        commitment_planned
        or
        commitment_edited
        or
        commitment_outcome
        or
        commitment_reset
        or
        evidence_recorded
        +1 more
        required
      • sourceId
        string
        required
        format: uuid
      • occurredAt
        string
        required
        format: date-time
      • actorUserId
        string
        or null
        required
        minLength: 1
      • label
        string
        required
        maxLength: 500 · minLength: 1
      • detail
        string
        or null
        required
        maxLength: 4000 · minLength: 1
      • commitmentId
        string
        or null
        required
        format: uuid
      • outcomeStatus
        completed
        or
        partial
        or
        missed
        or null
        required
      • evidenceGrade
        source_verified
        or
        artifact_backed
        or
        third_party_attested
        or
        self_reported
        or
        missing
        or null
        required
      • previousTarget
        string
        or null
        required
        maxLength: 4000 · minLength: 1
      • resultingTarget
        string
        or null
        required
        maxLength: 4000 · minLength: 1
      • sourceHash
        string
        or null
        required
        pattern: ^sha256:[a-f0-9]{64}$
    • missingTruth
      object
      required
      • unresolvedCommitmentIds
        array of
        string
        required
        format: uuid
      • commitmentsWithoutEvidence
        array of
        string
        required
        format: uuid
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close